
Installer - Feature #29069

label pulpcore ports with the right selinux label

02/19/2020 04:02 PM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: Foreman modules   

Target version: 2.0.0   

Difficulty:  Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/482,

https://github.com/theforeman/foreman-i

nstaller/pull/485

  

Description

this needs to happen in puppet-pulpcore based on the ports configured there

see https://github.com/pulp/pulpcore-selinux#labeling-pulpcore_port for details

Related issues:

Related to Installer - Tracker #28736: Use Pulp 3 for File and Container cont... Closed

Associated revisions

Revision 79d7a55a - 02/25/2020 03:20 AM - William Clark

Fixes #29069 - Apply selinux labels to pulpcore ports

Revision 532e7237 - 03/06/2020 04:19 PM - Ewoud Kohl van Wijngaarden

Refs #29069 - Install pulpcore-selinux if needed

To work around PUP-2169, the selinux contexts need to be present before

the main Puppet run. Because pulpcore-selinux depends on

python3-pulpcore, the foreman-installer-katello package can't depend on

it.

History

#1 - 02/19/2020 04:02 PM - Evgeni Golov

- Related to Tracker #28736: Use Pulp 3 for File and Container content in Katello added

#2 - 02/25/2020 04:01 AM - William Clark

- Status changed from New to Closed

Applied in changeset puppet-pulpcore|79d7a55aaabaa8cef6ad62a4d77d477787a4de6b.

#3 - 03/05/2020 11:43 AM - Ewoud Kohl van Wijngaarden

- Assignee set to William Clark

- Target version set to 2.0.0

- Triaged changed from No to Yes

- Fixed in Releases 2.1.0 added

This should be cherry picked into 2.0.0-rc3. Also needs an additional fix to install pulpcore-selinux before starting the main installer run.

#4 - 03/05/2020 11:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/482 added
https://github.com/pulp/pulpcore-selinux#labeling-pulpcore_port
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-pulpcore/revisions/79d7a55aaabaa8cef6ad62a4d77d477787a4de6b


#5 - 03/09/2020 10:33 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/485 added

#6 - 03/25/2020 02:58 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.0.0 added

- Fixed in Releases deleted (2.1.0)

Part of theforeman-pulpcore 0.2.0 which was picked into 2.0

Powered by TCPDF (www.tcpdf.org)

05/12/2024 2/2

http://www.tcpdf.org

